Module java.base
Package java.security

## Class NoSuchProviderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.NoSuchProviderException

All Implemented Interfaces:
  `Serializable`

    public class NoSuchProviderException
    extends GeneralSecurityException

This exception is thrown when a particular security provider is requested but is not available in the environment.

Since:
  1.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoSuchProviderException()` Constructs a NoSuchProviderException with no detail message.
`NoSuchProviderException​(String msg)` Constructs a NoSuchProviderException with the specified detail message.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchProviderException

    public NoSuchProviderException()

Constructs a NoSuchProviderException with no detail message. A detail message is a String that describes this particular exception.

#### NoSuchProviderException

    public NoSuchProviderException​(String msg)

Constructs a NoSuchProviderException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.